EditCallList

View as Markdown

Edits the specified call list by its ID.

Allowed roles: Owner, Admin, Developer, Call list manager.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

list_idintegerRequired
Call list ID. If the ID is non existing, the 251 error returns
interval_secondsintegerOptional
Minimum interval between call attempts. Cannot be a negative value
num_attemptsintegerOptional
Maximum call attempt number. Cannot be less than 1
max_simultaneousintegerOptional
Maximum simultaneous call attempts for this call list. Cannot be less than 1
ip_addressstringOptional

IP address in the Inet4Address format

namestringOptional
Call list name. Cannot be bigger than 255 characters, cannot contain slash symbol
priorityintegerOptional
Call list's priority among other call list. The lower the value, the higher is the call list's priority
start_atstringOptional

Time when the call list should start in the yyyy-MM-dd HH:mm:ss format

task_priority_strategystringOptional

Optional. Whether to prioritize first calling attempts or repeated ones. The possible values are: first_attempts, repeated_attempts. The default values is first_attempts

server_locationstringOptional

Location of the server processing the call list. If the ID is non existing, the 496 error returns: The ‘server_location’ parameter is invalid.

Response

Successful response
resultboolean
Whether the request completed successfully